<lib-table
	#table
	[columnsToDisplay]="displayedColumns"
	[autoColumns]="autoColumns"
	[pageSizeOptions]="[10, 20, 50, 100]"
	matSort
	matSortDirection="desc"
	[matSortActive]="displayedColumns[0]"
	[dataSourceFunction]="translationService.list.bind(translationService)"
	[filterLabel]="'transl.simple.filter'"
>
	<ng-container matColumnDef="type">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.type' | translate }}</th>
		<td mat-cell *matCellDef="let item">{{ 'transl.translation.type.' + item.type | translate }} </td>
	</ng-container>
	<ng-container matColumnDef="languages">
		<th mat-header-cell *matHeaderCellDef mat-sort-header>{{ 'transl.simple.languages' | translate }}</th>
		<td mat-cell *matCellDef="let item" class="languages">
			<img *ngFor="let v of item.values" src="assets/images/languages/{{ v.language }}.svg" />
		</td>
	</ng-container>

	<ng-container matColumnDef="actions">
		<th mat-header-cell *matHeaderCellDef>{{ 'transl.simple.actions' | translate }}</th>
		<td mat-cell *matCellDef="let item">
			<button
				mat-icon-button
				aria-label="Edit"
				color="primary"
				matTooltip="{{ 'transl.simple.edit' | translate }}"
				[routerLink]="['/tenants', item.tenantId, item._id]"
			>
				<mat-icon>edit</mat-icon>
			</button>
			<button mat-icon-button aria-label="Delete" color="warn" matTooltip="{{ 'transl.simple.delete' | translate }}" (click)="delete(item)">
				<mat-icon>delete</mat-icon>
			</button>
		</td>
	</ng-container>
</lib-table>

<button class="fab" mat-fab color="accent" [routerLink]="['/tenants', userService.currentTenantIdSubject.value, 'create']">
	<mat-icon>add</mat-icon>
</button>
